Index: code/branches/pch/src/orxonox/overlays/FadeoutText.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/FadeoutText.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/FadeoutText.cc	(revision 3144)
@@ -30,5 +30,5 @@
 
 #include <OgreTextAreaOverlayElement.h>
-
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: code/branches/pch/src/orxonox/overlays/FadeoutText.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/FadeoutText.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/FadeoutText.h	(revision 3144)
@@ -32,7 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/GUIOverlay.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/GUIOverlay.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/GUIOverlay.cc	(revision 3144)
@@ -28,9 +28,12 @@
 
 #include "GUIOverlay.h"
+
 #include <string>
 #include <sstream>
+
 #include "core/input/InputManager.h"
-
-#include "../gui/GUIManager.h"
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "gui/GUIManager.h"
 
 namespace orxonox
@@ -53,5 +56,5 @@
         XMLPortParam(GUIOverlay, "guiname", setGUIName, getGUIName, xmlElement, mode);
         
-        GUIManager::getInstancePtr()->registerOverlay(this->guiName_, this);
+        GUIManager::getInstance().registerOverlay(this->guiName_, this);
     }
 
@@ -66,12 +69,12 @@
             out << (long)this;
             str = out.str();
-            GUIManager::getInstancePtr()->executeCode("showCursor()");
+            GUIManager::getInstance().executeCode("showCursor()");
             InputManager::getInstance().requestEnterState("guiMouseOnly");
-            GUIManager::getInstancePtr()->executeCode("showGUI(\"" + this->guiName_ + "\", " + str + ")");
+            GUIManager::getInstance().executeCode("showGUI(\"" + this->guiName_ + "\", " + str + ")");
         }
         else
         {
-            GUIManager::getInstancePtr()->executeCode("hideGUI(\"" + this->guiName_ + "\")");
-            GUIManager::getInstancePtr()->executeCode("hideCursor()");
+            GUIManager::getInstance().executeCode("hideGUI(\"" + this->guiName_ + "\")");
+            GUIManager::getInstance().executeCode("hideCursor()");
             InputManager::getInstance().requestLeaveState("guiMouseOnly");
         }
Index: code/branches/pch/src/orxonox/overlays/GUIOverlay.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/GUIOverlay.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/GUIOverlay.h	(revision 3144)
@@ -30,11 +30,8 @@
 #define _GUIOverlay_H__
 
-
-#include "OrxonoxOverlay.h"
 #include "OrxonoxPrereqs.h"
 
-#include <OgrePrerequisites.h>
-
-#include "core/XMLPort.h"
+#include <string>
+#include "OrxonoxOverlay.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/OrxonoxOverlay.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/OrxonoxOverlay.h	(revision 3144)
@@ -37,8 +37,10 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include <OgrePrerequisites.h>
-#include "tools/WindowEventListener.h"
+
 #include "util/Math.h"
 #include "core/BaseObject.h"
+#include "tools/WindowEventListener.h"
 
 namespace orxonox
@@ -134,8 +136,8 @@
 
         //! Gets the current size that was set (uncorrected)
-        const Vector2& getSize() const                   { return this->size_; }
+        const Vector2& getSize() const            { return this->size_; }
 
         //! Gets the actual size of the overlay on the screen (corrected)
-        Vector2 getActualSize() const      { return this->size_ * this->sizeCorrection_; }
+        Vector2 getActualSize() const             { return this->size_ * this->sizeCorrection_; }
 
         //! Gets the current size correction (default: 1.0, 1.0)
@@ -198,5 +200,5 @@
         Vector2 pickPoint_;                        //!< Point on the overlay to pick when translating
         Degree angle_;                             //!< Rotation angle of the overlay
-        RotationState rotState_;             //!< horizontal, vertical or inbetween
+        RotationState rotState_;                   //!< horizontal, vertical or inbetween
 
     private:
Index: code/branches/pch/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/OverlayGroup.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/OverlayGroup.h	(revision 3144)
@@ -39,6 +39,6 @@
 #include <set>
 #include <OgrePrerequisites.h>
+#include "util/Math.h"
 #include "core/BaseObject.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/OverlayText.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/OverlayText.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/OverlayText.cc	(revision 3144)
@@ -31,4 +31,6 @@
 #include <OgreOverlayManager.h>
 #include <OgrePanelOverlayElement.h>
+#include <OgreTextAreaOverlayElement.h>
+#include <boost/static_assert.hpp>
 
 #include "util/String.h"
@@ -36,7 +38,12 @@
 #include "core/XMLPort.h"
 
+
 namespace orxonox
 {
     CreateFactory(OverlayText);
+
+    BOOST_STATIC_ASSERT(Ogre::TextAreaOverlayElement::Left   == OverlayText::Left);
+    BOOST_STATIC_ASSERT(Ogre::TextAreaOverlayElement::Center == OverlayText::Center);
+    BOOST_STATIC_ASSERT(Ogre::TextAreaOverlayElement::Right  == OverlayText::Right);
 
     OverlayText::OverlayText(BaseObject* creator)
@@ -76,18 +83,12 @@
     }
 
-    void OverlayText::setFont(const std::string& font)
-    {
-        if (font != "")
-            this->text_->setFontName(font);
-    }
-
     void OverlayText::setAlignmentString(const std::string& alignment)
     {
         if (alignment == "right")
-            this->setAlignment(Ogre::TextAreaOverlayElement::Right);
+            this->setAlignment(OverlayText::Right);
         else if (alignment == "center")
-            this->setAlignment(Ogre::TextAreaOverlayElement::Center);
+            this->setAlignment(OverlayText::Center);
         else // "left" and default
-            this->setAlignment(Ogre::TextAreaOverlayElement::Left);
+            this->setAlignment(OverlayText::Left);
     }
 
@@ -120,3 +121,50 @@
         positionChanged();
     }
+
+    void OverlayText::setCaption(const std::string& caption)
+    {
+        this->text_->setCaption(caption);
+        this->changedCaption();
+    }
+    std::string OverlayText::getCaption() const
+    {
+        return this->text_->getCaption();
+    }
+
+    void OverlayText::setFont(const std::string& font)
+    {
+        if (font != "")
+            this->text_->setFontName(font);
+    }
+    const std::string& OverlayText::getFont() const
+    {
+        return this->text_->getFontName();
+    }
+
+    void OverlayText::setSpaceWidth(float width)
+    {
+        this->text_->setSpaceWidth(width);
+    }
+    float OverlayText::getSpaceWidth() const
+    {
+        return this->text_->getSpaceWidth();
+    }
+
+    void OverlayText::setColour(const ColourValue& colour)
+    {
+        this->text_->setColour(colour); this->changedColour();
+    }
+    const ColourValue& OverlayText::getColour() const
+    {
+        return this->text_->getColour();
+    }
+
+    void OverlayText::setAlignment(OverlayText::Alignment alignment)
+    {
+        this->text_->setAlignment((Ogre::TextAreaOverlayElement::Alignment)alignment);
+    }
+    OverlayText::Alignment OverlayText::getAlignment() const
+    {
+        return (OverlayText::Alignment)this->text_->getAlignment();
+    }
 }
Index: code/branches/pch/src/orxonox/overlays/OverlayText.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/OverlayText.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/OverlayText.h	(revision 3144)
@@ -33,6 +33,5 @@
 
 #include <string>
-#include <OgrePrerequisites.h>
-#include <OgreTextAreaOverlayElement.h>
+#include "util/Math.h"
 #include "OrxonoxOverlay.h"
 
@@ -42,4 +41,11 @@
     {
     public:
+        enum Alignment
+        {
+            Left,
+            Right,
+            Center
+        };
+
         OverlayText(BaseObject* creator);
         virtual ~OverlayText();
@@ -47,18 +53,18 @@
         virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
 
-        inline void setCaption(const std::string& caption) { this->text_->setCaption(caption); this->changedCaption(); }
-        inline std::string getCaption() const              { return this->text_->getCaption(); }
+        void setCaption(const std::string& caption);
+        std::string getCaption() const;
 
         void setFont(const std::string& font);
-        inline const std::string& getFont() const { return this->text_->getFontName(); }
+        const std::string& getFont() const;
 
-        inline void setSpaceWidth(float width) { this->text_->setSpaceWidth(width); }
-        inline float getSpaceWidth() const     { return this->text_->getSpaceWidth(); }
+        void setSpaceWidth(float width);
+        float getSpaceWidth() const;
 
-        inline void setColour(const ColourValue& colour) { this->text_->setColour(colour); this->changedColour(); }
-        inline const ColourValue& getColour() const      { return this->text_->getColour(); }
+        void setColour(const ColourValue& colour);
+        const ColourValue& getColour() const;
 
-        inline void setAlignment(Ogre::TextAreaOverlayElement::Alignment alignment) { this->text_->setAlignment(alignment); }
-        inline Ogre::TextAreaOverlayElement::Alignment getAlignment() const         { return this->text_->getAlignment(); }
+        void setAlignment(OverlayText::Alignment alignment);
+        OverlayText::Alignment getAlignment() const;
 
         void setAlignmentString(const std::string& alignment);
Index: code/branches/pch/src/orxonox/overlays/console/InGameConsole.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/console/InGameConsole.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/console/InGameConsole.cc	(revision 3144)
@@ -35,4 +35,6 @@
 #include <OgreOverlayManager.h>
 #include <OgreOverlayContainer.h>
+#include <OgreBorderPanelOverlayElement.h>
+#include <OgreTextAreaOverlayElement.h>
 #include <OgreFontManager.h>
 #include <OgreFont.h>
Index: code/branches/pch/src/orxonox/overlays/console/InGameConsole.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/console/InGameConsole.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/console/InGameConsole.h	(revision 3144)
@@ -32,16 +32,12 @@
 
 #include "OrxonoxPrereqs.h"
-#include <OgrePrerequisites.h>
-#include <OgreBorderPanelOverlayElement.h>
-#include <OgreTextAreaOverlayElement.h>
 
+#include <string>
 #include "core/Shell.h"
-#include "core/OrxonoxClass.h"
 #include "tools/WindowEventListener.h"
-
 
 namespace orxonox
 {
-    class _OrxonoxExport InGameConsole : virtual public OrxonoxClass, public ShellListener, public WindowEventListener
+    class _OrxonoxExport InGameConsole : public ShellListener, public WindowEventListener
     {
     public: // functions
Index: code/branches/pch/src/orxonox/overlays/debug/DebugFPSText.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/debug/DebugFPSText.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/debug/DebugFPSText.cc	(revision 3144)
@@ -28,5 +28,5 @@
 
 #include "DebugFPSText.h"
-#include <OgreTextAreaOverlayElement.h>
+
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
@@ -51,5 +51,5 @@
 
         float fps = Game::getInstance().getAvgFPS();
-        this->setCaption(convertToString(fps));
+        this->setCaption(multi_cast<std::string>(fps));
     }
 }
Index: code/branches/pch/src/orxonox/overlays/debug/DebugFPSText.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/debug/DebugFPSText.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/debug/DebugFPSText.h	(revision 3144)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -41,5 +41,5 @@
     public:
         DebugFPSText(BaseObject* creator);
-        ~DebugFPSText();
+        virtual ~DebugFPSText();
 
         virtual void tick(float dt);
Index: code/branches/pch/src/orxonox/overlays/debug/DebugRTRText.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/debug/DebugRTRText.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/debug/DebugRTRText.cc	(revision 3144)
@@ -28,7 +28,7 @@
 
 #include "DebugRTRText.h"
-#include <OgreTextAreaOverlayElement.h>
+
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "util/Convert.h"
 #include "core/Game.h"
 
@@ -51,5 +51,5 @@
 
         float rtr = Game::getInstance().getAvgTickTime();
-        this->setCaption(convertToString(rtr));
+        this->setCaption(multi_cast<std::string>(rtr));
     }
 }
Index: code/branches/pch/src/orxonox/overlays/debug/DebugRTRText.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/debug/DebugRTRText.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/debug/DebugRTRText.h	(revision 3144)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -41,5 +41,5 @@
     public:
         DebugRTRText(BaseObject* creator);
-        ~DebugRTRText();
+        virtual ~DebugRTRText();
 
         virtual void tick(float dt);
Index: code/branches/pch/src/orxonox/overlays/hud/AnnounceMessage.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 3144)
@@ -32,6 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
+#include "objects/GametypeMessageListener.h"
 #include "overlays/FadeoutText.h"
-#include "objects/GametypeMessageListener.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 3144)
@@ -31,4 +31,5 @@
 #include <OgreTextAreaOverlayElement.h>
 
+#include "util/Convert.h"
 #include "util/UTFStringConversions.h"
 #include "core/CoreIncludes.h"
@@ -36,11 +37,7 @@
 #include "core/Executor.h"
 
-#include "network/ClientInformation.h"
-
+#include "tools/Timer.h"
+#include "objects/infos/PlayerInfo.h"
 #include "PlayerManager.h"
-#include "objects/infos/PlayerInfo.h"
-#include "tools/Timer.h"
-
-#include "util/Convert.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.h	(revision 3144)
@@ -32,5 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
-#include <OgreTextAreaOverlayElement.h>
+#include <string>
+#include <list>
+#include <OgreUTFString.h>
 
 #include "network/ChatListener.h"
@@ -43,5 +45,5 @@
         public:
             ChatOverlay(BaseObject* creator);
-            ~ChatOverlay();
+            virtual ~ChatOverlay();
 
             void setConfigValues();
Index: code/branches/pch/src/orxonox/overlays/hud/DeathMessage.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/DeathMessage.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/DeathMessage.h	(revision 3144)
@@ -32,6 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
+#include "objects/GametypeMessageListener.h"
 #include "overlays/FadeoutText.h"
-#include "objects/GametypeMessageListener.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/hud/GametypeStatus.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/GametypeStatus.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/GametypeStatus.cc	(revision 3144)
@@ -29,8 +29,6 @@
 #include "GametypeStatus.h"
 
-#include <OgreTextAreaOverlayElement.h>
-
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "util/Convert.h"
 #include "objects/infos/GametypeInfo.h"
 #include "objects/infos/PlayerInfo.h"
Index: code/branches/pch/src/orxonox/overlays/hud/GametypeStatus.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/GametypeStatus.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/GametypeStatus.h	(revision 3144)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -41,5 +41,5 @@
         public:
             GametypeStatus(BaseObject* creator);
-            ~GametypeStatus();
+            virtual ~GametypeStatus();
 
             virtual void tick(float dt);
Index: code/branches/pch/src/orxonox/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDBar.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDBar.cc	(revision 3144)
@@ -34,4 +34,5 @@
 #include <OgreMaterialManager.h>
 #include <OgreTechnique.h>
+#include <OgrePass.h>
 #include <OgrePanelOverlayElement.h>
 
Index: code/branches/pch/src/orxonox/overlays/hud/HUDBar.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDBar.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDBar.h	(revision 3144)
@@ -35,6 +35,9 @@
 
 #include <map>
+#include <vector>
 #include <OgrePrerequisites.h>
+
 #include "util/Math.h"
+#include "core/BaseObject.h"
 #include "overlays/OrxonoxOverlay.h"
 
@@ -45,5 +48,5 @@
     public:
         BarColour(BaseObject* creator);
-        ~BarColour() { }
+        virtual ~BarColour() { }
 
         virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
Index: code/branches/pch/src/orxonox/overlays/hud/HUDHealthBar.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDHealthBar.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDHealthBar.cc	(revision 3144)
@@ -29,13 +29,9 @@
 #include "HUDHealthBar.h"
 
-#include <OgreOverlayManager.h>
-#include <OgrePanelOverlayElement.h>
-
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "objects/worldentities/pawns/Pawn.h"
-#include "objects/items/Engine.h"
 #include "overlays/OverlayGroup.h"
-#include "util/Convert.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDHealthBar.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDHealthBar.h	(revision 3144)
@@ -32,7 +32,8 @@
 #include "OrxonoxPrereqs.h"
 
-#include "HUDBar.h"
+#include "util/Math.h"
 #include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
+#include "HUDBar.h"
 
 namespace orxonox
@@ -42,5 +43,5 @@
         public:
             HUDHealthBar(BaseObject* creator);
-            ~HUDHealthBar();
+            virtual ~HUDHealthBar();
 
             virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
@@ -64,7 +65,7 @@
                 { return this->bUseBarColour_; }
 
-            inline void setTextAlignment(Ogre::TextAreaOverlayElement::Alignment alignment)
+            inline void setTextAlignment(OverlayText::Alignment alignment)
                 { this->textoverlay_->setAlignment(alignment); }
-            inline Ogre::TextAreaOverlayElement::Alignment getTextAlignment() const
+            inline OverlayText::Alignment getTextAlignment() const
                 { return this->textoverlay_->getAlignment(); }
 
Index: code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.cc	(revision 3144)
@@ -36,5 +36,4 @@
 #include "util/String.h"
 #include "util/Convert.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.h	(revision 3144)
@@ -32,7 +32,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include <OgrePrerequisites.h>
+#include "objects/Tickable.h"
 #include "overlays/OrxonoxOverlay.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -42,5 +43,5 @@
     public:
         HUDNavigation(BaseObject* creator);
-        ~HUDNavigation();
+        virtual ~HUDNavigation();
 
         virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
Index: code/branches/pch/src/orxonox/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDRadar.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDRadar.cc	(revision 3144)
@@ -35,11 +35,9 @@
 #include "util/Math.h"
 #include "util/String.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Radar.h"
+#include "tools/TextureGenerator.h"
 #include "objects/worldentities/WorldEntity.h"
 #include "objects/worldentities/pawns/Pawn.h"
-#include "tools/TextureGenerator.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/hud/HUDRadar.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDRadar.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDRadar.h	(revision 3144)
@@ -33,7 +33,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <map>
 #include <vector>
-#include <map>
 #include <OgrePrerequisites.h>
+
 #include "overlays/OrxonoxOverlay.h"
 #include "objects/RadarListener.h"
@@ -46,5 +47,5 @@
     public:
         HUDRadar(BaseObject* creator);
-        ~HUDRadar();
+        virtual ~HUDRadar();
 
         virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
Index: code/branches/pch/src/orxonox/overlays/hud/HUDSpeedBar.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDSpeedBar.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDSpeedBar.cc	(revision 3144)
@@ -29,4 +29,5 @@
 
 #include "HUDSpeedBar.h"
+
 #include "core/CoreIncludes.h"
 #include "objects/worldentities/pawns/SpaceShip.h"
Index: code/branches/pch/src/orxonox/overlays/hud/HUDSpeedBar.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDSpeedBar.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDSpeedBar.h	(revision 3144)
@@ -33,6 +33,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "HUDBar.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -42,5 +42,5 @@
     public:
         HUDSpeedBar(BaseObject* creator);
-        ~HUDSpeedBar();
+        virtual ~HUDSpeedBar();
 
         virtual void tick(float dt);
Index: code/branches/pch/src/orxonox/overlays/hud/HUDTimer.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDTimer.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDTimer.cc	(revision 3144)
@@ -29,6 +29,6 @@
 #include "HUDTimer.h"
 
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "util/Convert.h"
 #include "objects/worldentities/ControllableEntity.h"
 #include "objects/gametypes/Gametype.h"
@@ -36,37 +36,37 @@
 namespace orxonox
 {
-  CreateFactory(HUDTimer);
+    CreateFactory(HUDTimer);
 
-  HUDTimer::HUDTimer(BaseObject* creator) : OverlayText(creator)
-  {
-    RegisterObject(HUDTimer);
+    HUDTimer::HUDTimer(BaseObject* creator) : OverlayText(creator)
+    {
+        RegisterObject(HUDTimer);
 
-    this->owner_ = 0;
-  }
+        this->owner_ = 0;
+    }
 
-  HUDTimer::~HUDTimer()
-  {
-  }
+    HUDTimer::~HUDTimer()
+    {
+    }
 
-  void HUDTimer::tick(float dt)
-  {
-    SUPER(HUDTimer, tick, dt);
+    void HUDTimer::tick(float dt)
+    {
+        SUPER(HUDTimer, tick, dt);
 
-    Gametype* gametype = this->getGametype();
-    
-    if(gametype)
+        Gametype* gametype = this->getGametype();
+
+        if (gametype)
+        {
+            if (gametype->getTimerIsActive())
+            {
+                this->setCaption(convertToString((int)gametype->getTime() + 1));
+            }
+        }
+    }
+
+    void HUDTimer::changedOwner()
     {
-      if (gametype->getTimerIsActive())
-      {
-        this->setCaption(convertToString((int)gametype->getTime() + 1));
-      }
+        SUPER(HUDTimer, changedOwner);
+
+        this->owner_ = dynamic_cast<ControllableEntity*>(this->getOwner());
     }
-  }
-
-  void HUDTimer::changedOwner()
-  {
-    SUPER(HUDTimer, changedOwner);
-
-    this->owner_ = dynamic_cast<ControllableEntity*>(this->getOwner());
-  }
 }
Index: code/branches/pch/src/orxonox/overlays/hud/HUDTimer.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/HUDTimer.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/HUDTimer.h	(revision 3144)
@@ -32,22 +32,22 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
 {
-  class _OrxonoxExport HUDTimer : public OverlayText, public Tickable
-  {
+    class _OrxonoxExport HUDTimer : public OverlayText, public Tickable
+    {
     public:
-      HUDTimer(BaseObject* creator);
-      ~HUDTimer();
+        HUDTimer(BaseObject* creator);
+        virtual ~HUDTimer();
 
-      virtual void tick(float dt);
+        virtual void tick(float dt);
 
-      virtual void changedOwner();
+        virtual void changedOwner();
 
-      private:
+    private:
         ControllableEntity* owner_;
-  };
+    };
 }
 #endif /* _HUDTimer_H__ */
Index: code/branches/pch/src/orxonox/overlays/hud/KillMessage.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/KillMessage.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/KillMessage.h	(revision 3144)
@@ -32,6 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
+#include "objects/GametypeMessageListener.h"
 #include "overlays/FadeoutText.h"
-#include "objects/GametypeMessageListener.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/hud/PongScore.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/PongScore.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/PongScore.cc	(revision 3144)
@@ -29,9 +29,7 @@
 #include "PongScore.h"
 
-#include <OgreTextAreaOverlayElement.h>
-
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "util/Convert.h"
 #include "objects/gametypes/Pong.h"
 #include "objects/infos/PlayerInfo.h"
Index: code/branches/pch/src/orxonox/overlays/hud/PongScore.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/PongScore.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/PongScore.h	(revision 3144)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -41,5 +41,5 @@
         public:
             PongScore(BaseObject* creator);
-            ~PongScore();
+            virtual ~PongScore();
 
             virtual void tick(float dt);
Index: code/branches/pch/src/orxonox/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/TeamBaseMatchScore.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/TeamBaseMatchScore.cc	(revision 3144)
@@ -28,6 +28,4 @@
 
 #include "TeamBaseMatchScore.h"
-
-#include <OgreTextAreaOverlayElement.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/overlays/hud/TeamBaseMatchScore.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/TeamBaseMatchScore.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/TeamBaseMatchScore.h	(revision 3144)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "objects/Tickable.h"
 #include "overlays/OverlayText.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
@@ -41,5 +41,5 @@
         public:
             TeamBaseMatchScore(BaseObject* creator);
-            ~TeamBaseMatchScore();
+            virtual ~TeamBaseMatchScore();
 
             virtual void tick(float dt);
Index: code/branches/pch/src/orxonox/overlays/hud/UnderAttackHealthBar.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/hud/UnderAttackHealthBar.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/hud/UnderAttackHealthBar.h	(revision 3144)
@@ -32,6 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
+#include "tools/Timer.h"
 #include "HUDHealthBar.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/map/Map.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/map/Map.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/map/Map.cc	(revision 3144)
@@ -24,36 +24,37 @@
  *
  */
+
 #include "Map.h"
 
 #include <string>
-#include "util/String.h"
+
+#include <OgreBorderPanelOverlayElement.h>
+#include <OgreCamera.h>
+#include <OgreHardwarePixelBuffer.h>
+#include <OgreMaterialManager.h>
+#include <OgreMovablePlane.h>
+#include <OgreOverlay.h>
+#include <OgreOverlayContainer.h>
+#include <OgreOverlayManager.h>
+#include <OgrePass.h>
+#include <OgreRenderTexture.h>
+#include <OgreResourceGroupManager.h>
+#include <OgreRoot.h>
 #include <OgreSceneManager.h>
 #include <OgreSceneNode.h>
-#include <OgreEntity.h>
-#include <OgreNode.h>
-
-
-#include <OgreRenderWindow.h>
-#include <OgreRenderTexture.h>
+#include <OgreTechnique.h>
 #include <OgreTexture.h>
+#include <OgreTextureManager.h>
 #include <OgreViewport.h>
 
-#include <OgreMaterialManager.h>
-#include <OgreRoot.h>
-#include <OgreHardwarePixelBuffer.h>
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/worldentities/CameraPosition.h"
-
-#include <OgreOverlay.h>
-#include <OgreMovablePlane.h>
-#include <OgreOverlayElement.h>
-#include <OgreOverlayManager.h>
-#include <OgreOverlayContainer.h>
+#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/Iterator.h"
+#include "core/XMLPort.h"
 #include "objects/Scene.h"
 #include "objects/RadarViewable.h"
 #include "objects/controllers/HumanController.h"
+#include "objects/worldentities/CameraPosition.h"
+#include "objects/worldentities/ControllableEntity.h"
 
  namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/map/Map.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/map/Map.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/map/Map.h	(revision 3144)
@@ -25,26 +25,15 @@
  */
 
-#ifndef _MAP_H__
-#define _MAP_H__
+#ifndef _Map_H__
+#define _Map_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
-#include "OrxonoxPrereqs.h"
-#include <OgrePrerequisites.h>
-#include <OgreSceneManager.h>
-#include <OgreSceneNode.h>
-#include <OgreEntity.h>
-#include <OgreOverlay.h>
-#include <OgreOverlayElement.h>
-#include <OgreOverlayManager.h>
-#include <OgreOverlayContainer.h>
-#include <OgreMovablePlane.h>
+#include <OgreMaterial.h>
 
-#include <OgreBorderPanelOverlayElement.h>
-#include <OgreTextAreaOverlayElement.h>
-
+#include "util/UtilPrereqs.h"
+#include "objects/Tickable.h"
 #include "overlays/OrxonoxOverlay.h"
-#include "objects/Tickable.h"
-
-
 
 namespace orxonox
@@ -55,5 +44,5 @@
     public: // functions
         Map(BaseObject* creator);
-        ~Map();
+        virtual ~Map();
 
         virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
@@ -126,3 +115,3 @@
 }
 
-#endif /* _MAP_H__ */
+#endif /* _Map_H__ */
Index: code/branches/pch/src/orxonox/overlays/notifications/Notification.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/Notification.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/Notification.cc	(revision 3144)
@@ -35,6 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
 #include "NotificationManager.h"
 
@@ -48,4 +46,5 @@
     Notification::Notification(BaseObject* creator) : BaseObject(creator)
     {
+        RegisterObject(Notification);
         this->initialize();
     }
@@ -76,6 +75,4 @@
     void Notification::initialize(void)
     {
-        RegisterObject(Notification);
-        
         this->message_ = "";
         this->sender_ = NotificationManager::NONE;
Index: code/branches/pch/src/orxonox/overlays/notifications/Notification.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/Notification.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/Notification.h	(revision 3144)
@@ -38,5 +38,4 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 3144)
@@ -34,8 +34,7 @@
 #include "NotificationManager.h"
 
+#include <set>
+
 #include "core/CoreIncludes.h"
-
-#include <set>
-
 #include "Notification.h"
 #include "NotificationQueue.h"
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h	(revision 3144)
@@ -37,11 +37,8 @@
 #include "OrxonoxPrereqs.h"
 
-#include "core/OrxonoxClass.h"
-
+#include <ctime>
 #include <map>
 #include <string>
-#include <ctime>
-
-#include "NotificationOverlay.h"
+#include "core/OrxonoxClass.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc	(revision 3144)
@@ -34,11 +34,6 @@
 #include "NotificationOverlay.h"
 
-#include <OgreOverlayManager.h>
-#include <OgreTextAreaOverlayElement.h>
-#include <OgrePanelOverlayElement.h>
-
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
 #include "Notification.h"
 #include "NotificationQueue.h"
@@ -53,4 +48,5 @@
     NotificationOverlay::NotificationOverlay(BaseObject* creator) : OverlayText(creator)
     {
+        RegisterObject(NotificationOverlay);
         this->initialize();
     }
@@ -87,6 +83,4 @@
     void NotificationOverlay::initialize(void)
     {
-        RegisterObject(NotificationOverlay);
-        
         this->queue_ = NULL;
     }
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h	(revision 3144)
@@ -38,10 +38,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "orxonox/overlays/OverlayText.h"
-
-#include <string>
-#include <set>
-#include <OgrePrerequisites.h>
-#include <OgreTextAreaOverlayElement.h>
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 3144)
@@ -34,15 +34,10 @@
 #include "NotificationQueue.h"
 
-#include <OgreOverlayManager.h>
-#include <OgreTextAreaOverlayElement.h>
-#include <list>
-#include <iostream>
 #include <sstream>
 
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
-#include "Notification.h"
 #include "NotificationOverlay.h"
+#include "NotificationManager.h"
 
 namespace orxonox
@@ -61,4 +56,5 @@
     NotificationQueue::NotificationQueue(BaseObject* creator) : OverlayGroup(creator)
     {
+        RegisterObject(NotificationQueue);
         this->initialize();
     }
@@ -81,6 +77,4 @@
     void NotificationQueue::initialize(void)
     {
-        RegisterObject(NotificationQueue);
-
         this->size_ = 0;
         this->tickTime_ = 0.0;
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 3142)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 3144)
@@ -37,16 +37,12 @@
 #include "OrxonoxPrereqs.h"
 
+#include <ctime>
+#include <map>
+#include <set>
 #include <string>
-#include <set>
-#include <OgreOverlayManager.h>
-#include <OgreTextAreaOverlayElement.h>
-#include <OgrePanelOverlayElement.h>
-#include <map>
-#include <ctime>
-
+
+#include "util/Math.h"
+#include "orxonox/objects/Tickable.h"
 #include "orxonox/overlays/OverlayGroup.h"
-#include "orxonox/objects/Tickable.h"
-
-#include "NotificationManager.h"
 
 namespace orxonox
